org.apache.mina.codec.delimited.serialization

## Class ProtobufDynamicMessageDecoder.ProtobufSerializedMessage

- java.lang.Object
- - org.apache.mina.codec.delimited.serialization.ProtobufDynamicMessageDecoder.ProtobufSerializedMessage

Enclosing class:
  ProtobufDynamicMessageDecoder

    public static final class ProtobufDynamicMessageDecoder.ProtobufSerializedMessage
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`ProtobufDynamicMessageDecoder.ProtobufSerializedMessage(IoBuffer input)`

### Method Summary

Methods
`<L extends com.google.protobuf.GeneratedMessage> L` `get(Class<L> clazz)`
`<L extends com.google.protobuf.GeneratedMessage> L` `get(Class<L> clazz, com.google.protobuf.ExtensionRegistryLite registry)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ProtobufDynamicMessageDecoder.ProtobufSerializedMessage

    public ProtobufDynamicMessageDecoder.ProtobufSerializedMessage(IoBuffer input)

### Method Detail

#### get

    public <L extends com.google.protobuf.GeneratedMessage> L get(Class<L> clazz,
                                                         com.google.protobuf.ExtensionRegistryLite registry)
                                                       throws NoSuchMethodException,
                                                              IllegalAccessException,
                                                              InvocationTargetException

Throws:
  `NoSuchMethodException`
  `IllegalAccessException`
  `InvocationTargetException`

#### get

    public <L extends com.google.protobuf.GeneratedMessage> L get(Class<L> clazz)
                                                       throws NoSuchMethodException,
                                                              IllegalAccessException,
                                                              InvocationTargetException

Throws:
  `NoSuchMethodException`
  `IllegalAccessException`
  `InvocationTargetException`